import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";
export const slaughterGetActiveRequests = createAsyncThunk(
  "SLAUGHTER_GET_ACTIVE_REQUESTS",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const car = d.isCar ? "car=true" : "";
    const { data, status } = await axios.get("province_kill_request/?" + car, {
      params: {
        date1: d.selectedDate1,
        date2: d.selectedDate2,
        role: getRoleFromUrl(),
        role_key: d.role_key || "",
      },
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);
